# tiffimage.hpp File Reference

Class TiffImage. More...

`#include "exif.hpp"`
`#include "iptc.hpp"`
`#include "image.hpp"`
`#include <string>`

Include dependency graph for tiffimage.hpp:

## Namespaces

namespace | Exiv2
namespace | Exiv2::ImageType

## Classes

class | Exiv2::TiffImage
| Class to access raw TIFF images. Exif metadata and a comment are supported directly, IPTC is read from the Exif data, if present. More...
class | Exiv2::TiffHeade2
| This class models a TIFF header structure. More...

## Functions

Image::AutoPtr | Exiv2::newTiffInstance (BasicIo::AutoPtr io, bool create)
| Create a new TiffImage instance and return an auto-pointer to it. Caller owns the returned object and the auto-pointer ensures that it will be deleted.
bool | Exiv2::isTiffType (BasicIo &iIo, bool advance)
| Check if the file iIo is a TIFF image.

## Variables

const int | Exiv2::ImageType::tiff = 4
| TIFF image type (see class TiffImage).

## Detailed Description

Class TiffImage.

Version:
  Rev
    797

Author:
  Andreas Huggel (ahu) ahuggel@gmx.net

Date:
  15-Mar-06, ahu: created